#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	namespace
%define	pnam	autoclean
Summary:	namespace::autoclean removes all imported symbols at the end of compile cycle
Summary(pl.UTF-8):	namespace::autoclean usuwa wszystkie zaimportowane symbole pod koniec cyklu kompilacji
Name:		perl-namespace-autoclean
Version:	0.29
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/namespace/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	39b38c776cd1f0ee03cc70781a2f2798
URL:		https://metacpan.org/release/namespace-autoclean
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-B-Hooks-EndOfScope >= 0.12
BuildRequires:	perl-Sub-Identify
BuildRequires:	perl-Test-Requires
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-namespace-clean >= 0.20
%endif
Requires:	perl(Sub::Identify)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
When you import a function into a Perl package, it will naturally also
be available as a method.

The namespace::autoclean pragma will remove all imported symbols at
the end of the current package's compile cycle. Functions called in
the package itself will still be bound by their name, but they won't
show up as methods on your class or instances.

This module is very similar to namespace::clean, except it will clean
all imported functions, no matter if you imported them before or after
you used the pagma. It will also not touch anything that looks like a
method, according to Class::MOP::Class::get_method_list.

%description -l pl.UTF-8
namespace::autoclean usuwa wszystkie zaimportowane symbole pod koniec
cyklu kompilacji

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/namespace/*.pm
%{_mandir}/man3/*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-namespace-autoclean.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> f4dc907
- R: perl(Sub::Identify); rel 2

* Sun May 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 7943b30
- macros for perl autodeps

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> a34c68f
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 224b1f3
- up to 0.29

* Mon Nov 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 81281b1
- updated to 0.28

* Sun Oct 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fd9f1a
- up to 0.28

* Mon Jun 10 2013 Jan Rękorajski <baggins@pld-linux.org> 3f10e3c
- up to 0.13

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> a446594
- up to 0.11

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> ee6b0db
- updated to 0.09

* Fri Aug 21 2009 amateja <amateja@pld-linux.org> 65a6eaa
- initial

